# Payout

## Payout Object

| Field           | Type   | Description                                                                                                                                        |
| --------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| id              | string | Unique identifier for the object.                                                                                                                  |
| public\_address | string | Customer public address on voucher api.                                                                                                            |
| recipient\_name | string | Customer’s name.                                                                                                                                   |
| source          | string | ID of the voucher that was generated as payout result                                                                                              |
| created\_at     | int    | Timestamp that represent once the payout was created.                                                                                              |
| amount          | int    | Value of the payout voucher generated the same received on the request in the minor currency.                                                      |
| currency        | string | Iso code 3 representing the currency code the same received on the request.                                                                        |
| metadata        | hash   | A set of key-value pairs attached to a payout object. It can be useful for storing additional information about the payout in a structured format. |
| account\_id     | string | ID of the customer in merchant side.                                                                                                               |
| status          | enum   | The status of the charge is either “succeeded”, “pending”, or “failed”.                                                                            |
| deposit         | bool   | True if the voucher is for a deposit.                                                                                                              |
| livemode        | bool   | Indicator about if the object if for production or test.                                                                                           |

{% tabs %}
{% tab title="CURL" %}

```
{
	"id": "AW-kLcRRC5P8U68CYe0kVA",
	"public_address": "mwVXtJA1DUhZFbkzxKQsXLej9vdFh9b9eH",
	"source": "AW-kLcRbx6KXBv7B3CF8uw",
	"created_at": 1579007460,
	"amount": 10000,
	"currency": "EUR",
	"recipient_name": "John Doe",
	"account_id": "merchant_account_id",
	"metadata": {
		"trans_id": "123456789"
	},
	"livemode": false
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.convergegate.com/legacy/wallet-api/payout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
